#Installation

Install package with NPM and add it to your development dependencies:

`npm install gulp-rb-validate-header --save-dev`

#Usage

#### Basic

```js
var rbheader = require('gulp-rb-validate-header');

gulp.task('rb-validate', function () {

    gulp.src('./src/**/*.js')
        .pipe(rbheader());
        
    });
```

#### With Parameter

```js
var rbheader  = require('gulp-rb-validate-header');

gulp.task('rb-validate', function () {

    gulp.src('./src/**/*.js')
        .pipe(rbheader({
            abortOnError: true
        });
        
    });
```

#Parameters

#### **abortOnError**: Boolean (Default: false)

This will cause the plugin to abort with exit code 1 as soon as an invalid file is detected.